## qmi-compat qmi-compat |

## Functions

gboolean | qmi_message_dms_set_service_programming_code_input_get_new ()
gboolean | qmi_message_dms_set_service_programming_code_input_set_new ()
gboolean | qmi_message_dms_set_service_programming_code_input_get_current ()
gboolean | qmi_message_dms_set_service_programming_code_input_set_current ()

## Types and Values

#define | QMI_NAS_SIM_REJECT_STATE_SIM_VAILABLE

## Description

## Functions

### qmi_message_dms_set_service_programming_code_input_get_new ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_get_new
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar **arg_new,
                                    GError **error);

`qmi_message_dms_set_service_programming_code_input_get_new` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use `qmi_message_dms_set_service_programming_code_input_get_new_code()` instead.

Get the 'New Code' field from `self` .

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
arg_new | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_dms_set_service_programming_code_input_set_new ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_set_new
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar *arg_new,
                                    GError **error);

`qmi_message_dms_set_service_programming_code_input_set_new` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use `qmi_message_dms_set_service_programming_code_input_set_new_code()` instead.

Set the 'New Code' field in the message.

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
arg_new | a constant string of exactly 6 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_dms_set_service_programming_code_input_get_current ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_get_current
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar **arg_current,
                                    GError **error);

`qmi_message_dms_set_service_programming_code_input_get_current` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use `qmi_message_dms_set_service_programming_code_input_get_current_code()` instead.

Get the 'Current Code' field from `self` .

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
arg_current | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_dms_set_service_programming_code_input_set_current ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_set_current
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar *arg_current,
                                    GError **error);

`qmi_message_dms_set_service_programming_code_input_set_current` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use `qmi_message_dms_set_service_programming_code_input_set_current_code()` instead.

Get the 'Current Code' field from `self` .

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
arg_current | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

## Types and Values

### QMI_NAS_SIM_REJECT_STATE_SIM_VAILABLE

    #define QMI_NAS_SIM_REJECT_STATE_SIM_VAILABLE QMI_NAS_SIM_REJECT_STATE_SIM_AVAILABLE

`QMI_NAS_SIM_REJECT_STATE_SIM_VAILABLE` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use the correct QMI_NAS_SIM_REJECT_STATE_SIM_AVAILABLE name instead.

SIM available.